aboutsummaryrefslogtreecommitdiffstats
path: root/testing/uwsgi/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2012-11-28 19:26:52 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2012-11-28 19:27:09 -0600
commit6fc0bd55848a58f10134bd6ae39acede76bf2f75 (patch)
treea364de03244bf9fae12d3732b92fb09ec395a712 /testing/uwsgi/APKBUILD
parent14b3e47f52897aaba2a777925841195122447271 (diff)
downloadaports-6fc0bd55848a58f10134bd6ae39acede76bf2f75.tar.gz
aports-6fc0bd55848a58f10134bd6ae39acede76bf2f75.tar.bz2
aports-6fc0bd55848a58f10134bd6ae39acede76bf2f75.tar.xz
testing/uwsgi: upgrade to 1.4.2, enable python plugin
Diffstat (limited to 'testing/uwsgi/APKBUILD')
-rw-r--r--testing/uwsgi/APKBUILD35
1 files changed, 24 insertions, 11 deletions
diff --git a/testing/uwsgi/APKBUILD b/testing/uwsgi/APKBUILD
index 4d40b10f95..06c3e489ec 100644
--- a/testing/uwsgi/APKBUILD
+++ b/testing/uwsgi/APKBUILD
@@ -1,15 +1,15 @@
# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
# Maintainer:
pkgname=uwsgi
-pkgver=1.3
+pkgver=1.4.2
pkgrel=0
pkgdesc="uWSGI application container server"
url=http://projects.unbit.it/uwsgi/
arch=all
license=GPL-2
makedepends="linux-headers lua-dev python python-dev"
-subpackages=uwsgi-lua
-source="http://projects.unbit.it/downloads/uwsgi-${pkgver}.tar.gz futimes.patch include-sched.patch lua-async.patch"
+subpackages="uwsgi-lua uwsgi-python:py"
+source="http://projects.unbit.it/downloads/uwsgi-${pkgver}.tar.gz futimes.patch include-sched.patch"
_builddir=$srcdir/$pkgname-$pkgver
prepare() {
@@ -25,8 +25,16 @@ prepare() {
build() {
cd "$_builddir"
export CFLAGS=-D_GNU_SOURCE
- python uwsgiconfig.py --build core
- python uwsgiconfig.py --plugin plugins/lua core
+
+ msg "building core"
+ python uwsgiconfig.py --build core || return 1
+
+ msg "building lua plugin"
+ UWSGICONFIG_LUALIB="lua" \
+ python uwsgiconfig.py --plugin plugins/lua core || return 1
+
+ msg "building python plugin"
+ python uwsgiconfig.py --plugin plugins/python core || return 1
}
package() {
@@ -44,12 +52,17 @@ package() {
lua() {
depends=uwsgi
- local libdir=$subpkgdir/usr/lib/uwsgi
- install -d "$libdir"
- mv "$pkgdir/usr/lib/uwsgi/lua_plugin.so" "$libdir"
+ mkdir -p "$subpkgdir"/usr/lib/uwsgi
+ mv "$pkgdir/usr/lib/uwsgi/lua_plugin.so" "$subpkgdir/usr/lib/uwsgi"
+}
+
+py() {
+ depends=uwsgi
+
+ mkdir -p "$subpkgdir"/usr/lib/uwsgi
+ mv "$pkgdir/usr/lib/uwsgi/python_plugin.so" "$subpkgdir/usr/lib/uwsgi"
}
-md5sums="0e83c1ef1b7b01a16c87884d23030ce2 uwsgi-1.3.tar.gz
+md5sums="3dad737b580f3eabaa70fccd660f890d uwsgi-1.4.2.tar.gz
2c9aeb5b2adf1fa45ef4ed6bda47236a futimes.patch
-02c43e001d5f44eb421079e17f9db003 include-sched.patch
-eee9b786b235f577776039c1661b0c63 lua-async.patch"
+02c43e001d5f44eb421079e17f9db003 include-sched.patch"